Subject: Re: bug#15651: 24.3.50; `menu-bar-select-buffer' - Remove it? Move it to msb.el?

From: Eli Zaretskii <[email-masked]>
Date: Sun, 30 May 2021 11:47:45 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Sun, 30 May 2021 07:49:56 +0200
> Cc: [email-masked]
> 
> Lars Ingebrigtsen <[email-masked]> writes:
> 
> >> Why not remove `menu-bar-select-buffer' or move it to `msb.el'?
> >
> > Well, there may be third party usages of this very important function, I
> > guess?
> >
> > (defun menu-bar-select-buffer ()
> >   (interactive)
> >   (switch-to-buffer last-command-event))
> 
> So moving it might break something for some users, but I think it's
> highly unlikely.  So I've now moved it in Emacs 28.

Should it be autoloaded now?  menu-bar.el is preloaded, whereas msb.el
isn't, so 3rd-party packages which expect the function to be available
could be in trouble now.